Subject: bug#22163: Feature request: Add support for key release event

From: Simon Friis Vindum <[email-masked]>
Date: Tue, 15 Dec 2015 21:15:29 +0100

>>>>> John Wiegley <address@hidden> writes:

> Those who understand the fundamentals of event handling would know better, but
> doing this right could be a rather invasive change. For example: Should
> `read-event' return once a key is pressed down; or should it wait until the
> key has been released, and then also give both the press-down and release
> times? At the moment, it just notifies the user of the key?

I was thinking that one might define a new built-in function. It could
for instance
be called `define-key-release` and behave exactly like `define-key`
except that the
passed command would be triggered on key release instead of key press.

It seems to me like that would be backwards compatible and non-invasive.

> Because once you have sensitive to "length of press", I imagine that's just
> the start of additional information you'd want about events and how they
> relate in time to each other...

I think that if you can get the press and release of a key then you have access
to all information from the hardware. Everything else can be derived from that.

Kind regards
Simon Friis Vindum